org.apache.ignite.internal.processors.cache.query

## Class GridCacheTwoStepQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheTwoStepQuery

    public class GridCacheTwoStepQuery
    extends Object

Two step map-reduce style query.

### Field Summary

Fields
`static int` `DFLT_PAGE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheTwoStepQuery(String qry, Object... params)`

### Method Summary

Methods
`void` `addMapQuery(String alias, String qry, Object... params)`
`boolean` `explain()`
`void` `explain(boolean explain)`
`Collection<GridCacheSqlQuery>` `mapQueries()`
`int` `pageSize()`
`void` `pageSize(int pageSize)`
`GridCacheSqlQuery` `reduceQuery()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_PAGE_SIZE

    public static final int DFLT_PAGE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### GridCacheTwoStepQuery

    public GridCacheTwoStepQuery(String qry,
                         Object... params)

Parameters:
  `qry` - Reduce query.
  `params` - Reduce query parameters.

### Method Detail

#### explain

    public boolean explain()

Returns:
  If this is explain query.

#### explain

    public void explain(boolean explain)

Parameters:
  `explain` - If this is explain query.

#### pageSize

    public void pageSize(int pageSize)

Parameters:
  `pageSize` - Page size.

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### addMapQuery

    public void addMapQuery(String alias,
                   String qry,
                   Object... params)

Parameters:
  `alias` - Alias.
  `qry` - SQL Query.
  `params` - Query parameters.

#### reduceQuery

    public GridCacheSqlQuery reduceQuery()

Returns:
  Reduce query.

#### mapQueries

    public Collection<GridCacheSqlQuery> mapQueries()

Returns:
  Map queries.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015